Bug 1200106 - VUL-0: webkit2gtk3: WebKitGTK and WPE WebKit Security Advisory WSA-2022-0005
VUL-0: webkit2gtk3: WebKitGTK and WPE WebKit Security Advisory WSA-2022-0005
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/333278/
CVSSv3.1:SUSE:CVE-2022-26700:8.8:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-06-01 09:40 UTC by Carlos López
Modified: 2022-09-16 12:55 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos López 2022-06-01 09:40:21 UTC
------------------------------------------------------------------------
WebKitGTK and WPE WebKit Security Advisory                 WSA-2022-0005
------------------------------------------------------------------------

Date reported           : May 30, 2022
Advisory ID             : WSA-2022-0005
WebKitGTK Advisory URL  : https://webkitgtk.org/security/WSA-2022-0005.html
WPE WebKit Advisory URL : https://wpewebkit.org/security/WSA-2022-0005.html

CVE-2022-26700
    Versions affected: WebKitGTK and WPE WebKit before 2.36.3.
    Credit to ryuzaki.
    Impact: Processing maliciously crafted web content may lead to code
    execution. Description: A memory corruption issue was addressed with
    improved state management.

CVE-2022-26709
    Versions affected: WebKitGTK and WPE WebKit before 2.36.3.
    Credit to Chijin Zhou of ShuiMuYuLin Ltd and Tsinghua wingtecher
    lab.
    Impact: Processing maliciously crafted web content may lead to
    arbitrary code execution. Description: A use after free issue was
    addressed with improved memory management.

CVE-2022-26717
    Versions affected: WebKitGTK and WPE WebKit before 2.36.3.
    Credit to Jeonghoon Shin of Theori.
    Impact: Processing maliciously crafted web content may lead to
    arbitrary code execution. Description: A use after free issue was
    addressed with improved memory management.

CVE-2022-26716
    Versions affected: WebKitGTK and WPE WebKit before 2.36.3.
    Credit to SorryMybad (@S0rryMybad) of Kunlun Lab.
    Impact: Processing maliciously crafted web content may lead to
    arbitrary code execution. Description: A memory corruption issue was
    addressed with improved state management.

CVE-2022-26719
    Versions affected: WebKitGTK and WPE WebKit before 2.36.3.
    Credit to Dongzhuo Zhao working with ADLab of Venustech.
    Impact: Processing maliciously crafted web content may lead to
    arbitrary code execution. Description: A memory corruption issue was
    addressed with improved state management.
Comment 1 Carlos López 2022-06-01 09:42:49 UTC
Also included in this advisory is CVE-2022-30293 (bnc#1199287) and CVE-2022-30294 which is a duplicate.
Comment 3 Swamp Workflow Management 2022-06-09 13:17:08 UTC
SUSE-SU-2022:2030-1: An update that fixes 6 vulnerabilities is now available.

Category: security (important)
Bug References: 1199287,1200106
CVE References: CVE-2022-26700,CVE-2022-26709,CVE-2022-26716,CVE-2022-26717,CVE-2022-26719,CVE-2022-30293
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    webkit2gtk3-2.36.3-150000.3.103.1
SUSE Linux Enterprise Server for SAP 15 (src):    webkit2gtk3-2.36.3-150000.3.103.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    webkit2gtk3-2.36.3-150000.3.103.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    webkit2gtk3-2.36.3-150000.3.103.1
SUSE Linux Enterprise Server 15-LTSS (src):    webkit2gtk3-2.36.3-150000.3.103.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    webkit2gtk3-2.36.3-150000.3.103.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    webkit2gtk3-2.36.3-150000.3.103.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    webkit2gtk3-2.36.3-150000.3.103.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    webkit2gtk3-2.36.3-150000.3.103.1
SUSE Enterprise Storage 6 (src):    webkit2gtk3-2.36.3-150000.3.103.1
SUSE CaaS Platform 4.0 (src):    webkit2gtk3-2.36.3-150000.3.103.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 4 Swamp Workflow Management 2022-06-14 13:22:03 UTC
SUSE-SU-2022:2071-1: An update that fixes 6 vulnerabilities is now available.

Category: security (important)
Bug References: 1199287,1200106
CVE References: CVE-2022-26700,CVE-2022-26709,CVE-2022-26716,CVE-2022-26717,CVE-2022-26719,CVE-2022-30293
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    webkit2gtk3-2.36.3-150400.4.3.1, webkit2gtk3-soup2-2.36.3-150400.4.3.1, webkit2gtk4-2.36.3-150400.4.3.1
SUSE Linux Enterprise Module for Development Tools 15-SP4 (src):    webkit2gtk4-2.36.3-150400.4.3.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP4 (src):    webkit2gtk3-2.36.3-150400.4.3.1
SUSE Linux Enterprise Module for Basesystem 15-SP4 (src):    webkit2gtk3-soup2-2.36.3-150400.4.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2022-06-14 13:23:04 UTC
SUSE-SU-2022:2072-1: An update that fixes 6 vulnerabilities is now available.

Category: security (important)
Bug References: 1199287,1200106
CVE References: CVE-2022-26700,CVE-2022-26709,CVE-2022-26716,CVE-2022-26717,CVE-2022-26719,CVE-2022-30293
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    webkit2gtk3-2.36.3-150200.35.1
openSUSE Leap 15.3 (src):    webkit2gtk3-2.36.3-150200.35.1
SUSE Manager Server 4.1 (src):    webkit2gtk3-2.36.3-150200.35.1
SUSE Manager Retail Branch Server 4.1 (src):    webkit2gtk3-2.36.3-150200.35.1
SUSE Manager Proxy 4.1 (src):    webkit2gtk3-2.36.3-150200.35.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    webkit2gtk3-2.36.3-150200.35.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    webkit2gtk3-2.36.3-150200.35.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    webkit2gtk3-2.36.3-150200.35.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (src):    webkit2gtk3-2.36.3-150200.35.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    webkit2gtk3-2.36.3-150200.35.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    webkit2gtk3-2.36.3-150200.35.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    webkit2gtk3-2.36.3-150200.35.1
SUSE Enterprise Storage 7 (src):    webkit2gtk3-2.36.3-150200.35.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2022-06-15 13:15:38 UTC
SUSE-SU-2022:2089-1: An update that fixes 6 vulnerabilities is now available.

Category: security (important)
Bug References: 1199287,1200106
CVE References: CVE-2022-26700,CVE-2022-26709,CVE-2022-26716,CVE-2022-26717,CVE-2022-26719,CVE-2022-30293
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    webkit2gtk3-2.36.3-2.99.1
SUSE OpenStack Cloud Crowbar 8 (src):    webkit2gtk3-2.36.3-2.99.1
SUSE OpenStack Cloud 9 (src):    webkit2gtk3-2.36.3-2.99.1
SUSE OpenStack Cloud 8 (src):    webkit2gtk3-2.36.3-2.99.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    webkit2gtk3-2.36.3-2.99.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    webkit2gtk3-2.36.3-2.99.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    webkit2gtk3-2.36.3-2.99.1
SUSE Linux Enterprise Server 12-SP5 (src):    webkit2gtk3-2.36.3-2.99.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    webkit2gtk3-2.36.3-2.99.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    webkit2gtk3-2.36.3-2.99.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    webkit2gtk3-2.36.3-2.99.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    webkit2gtk3-2.36.3-2.99.1
HPE Helion Openstack 8 (src):    webkit2gtk3-2.36.3-2.99.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Carlos López 2022-09-16 12:55:10 UTC
Done, closing.